[hardy] [gutsy] [regression] (regression from edgy to feisty and to gutsy) tifm_sd module not working and not producing any message in logs

Bug #137686 reported by Vincenzo Ciancia on 2007-09-06
34
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Declined for Gutsy by Henrik Nilsen Omma
Hardy
Medium
Stefan Bader
linux-source-2.6.22 (Ubuntu)
Low
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Hardy
Low
Unassigned

Bug Description

Binary package hint: linux-source-2.6.22

I have a built-in card reader in my laptop. It's a TI model, it worked in edgy with the sdhci module, but in feisty and gutsy, it didn't work anymore, either with the sdhci drivers, or with the tifm drivers, even using the infamous "setpci hack" mentioned in bug #53923 and its duplicates to re-enable the sdhci drivers. In some feisty pre-release, it worked out-of-the-box on the live cd (I can still remember my "oooh" of wonder when seeing the sd card icon on the live cd desktop).

This bug is opened on request of developers after bug #53923 has been fixed, (I used to discuss this problem, when feisty was just released, on bug #82680, which was then marked as a duplicate of bug #53923), so this is not a duplicate of that one.

I am using gutsy tribe 5, and in the logs I can see nothing.

lspci

03:0b.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
03:0b.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

lspci -vvn

03:0b.2 0180: 104c:803b
        Subsystem: 1179:0001
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 32 bytes
        Interrupt: pin D routed to IRQ 19
        Region 0: Memory at 58005000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

03:0b.3 0805: 104c:803c (prog-if 01)
        Subsystem: 1179:0001
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1750ns min, 1000ns max), Cache Line Size: 32 bytes
        Interrupt: pin D routed to IRQ 19
        Region 0: Memory at 58006800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

Henrik Nilsen Omma (henrik) wrote :

Hi, thanks for separating this out into a new bug. Could you please attach the information requested in https://wiki.ubuntu.com/KernelTeamBugPolicies ?

I appreciate that you do not see anything relevant in the dmesg logs but there may be contextual information useful to the developers there. Thanks!

Changed in linux-source-2.6.22:
importance: Undecided → Low
status: New → Incomplete
Vincenzo Ciancia (vincenzo-ml) wrote :
Vincenzo Ciancia (vincenzo-ml) wrote :
Vincenzo Ciancia (vincenzo-ml) wrote :
Vincenzo Ciancia (vincenzo-ml) wrote :
Vincenzo Ciancia (vincenzo-ml) wrote :
Vincenzo Ciancia (vincenzo-ml) wrote :
Matthew Garrett (mjg59) wrote :

Please try the following:

dmesg >/tmp/before
sudo rmmod tifm_7xx1
sudo modprobe tifm_7xx1
dmesg >/tmp/after
diff -u /tmp/before /tmp/after >/tmp/output

and attach the /tmp/output file

Vincenzo Ciancia (vincenzo-ml) wrote :

I attach the file. I also tried to remove and insert back again the sd card, and there is no difference at all in the new log so I don't attach that one. I finally noticed that there is no tifm_sd module loaded. I inserted it but nothing changed, then I removed and inserted card again, and again nothing changed in the logs. In any case, inserting and removing the SD card makes the reader led blink once.

Id2ndR (id2ndr) wrote :

Same for me. I can add that the led blinking is very very short. I don't know if it's mechanical but I'm not sure at all that the kernel is informed of an sd card presence (adding the fact that there is nothing more in kernel's outputs).

Vincenzo Ciancia (vincenzo-ml) wrote :

I don't think we have means to provide more information, perhaps we could start by confirming the bug, so that a developer could ask more precise ways to debug the module? I can insert debug printk() in the module if needed but need to know what to debug exactly, since I don't know how kernel modules work.

Id2ndR (id2ndr) wrote :
Download full text (4.6 KiB)

New logs, from daily livecd 20070921.1 :

When Ubuntu finished to start, both tifm_7xx1 and sdhci were loaded. I wondered if there was a conflict between these so I tried to unload and reload these as this (I put dmesg diff juste after):

ubuntu@ubuntu:~$ sudo rmmod tifm_7xx1
Sep 22 13:48:13 ubuntu kernel: [ 665.132000] ACPI: PCI interrupt for device 0000:03:0b.2 disabled

ubuntu@ubuntu:~$ sudo modprobe tifm_7xx1
Sep 22 13:48:26 ubuntu kernel: [ 678.304000] ACPI: PCI Interrupt 0000:03:0b.2[D] -> GSI 23 (level, low) -> IRQ 19

ubuntu@ubuntu:~$ sudo rmmod tifm_7xx1
Sep 22 13:48:44 ubuntu kernel: [ 696.012000] ACPI: PCI interrupt for device 0000:03:0b.2 disabled

ubuntu@ubuntu:~$ sudo rmmod sdhci
Sep 22 13:48:50 ubuntu kernel: [ 702.728000] ACPI: PCI interrupt for device 0000:03:0b.3 disabled
Sep 22 13:48:50 ubuntu NetworkManager: <debug> [1190468930.992381] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/pci_104c_803c_mmc_host').

ubuntu@ubuntu:~$ sudo modprobe tifm_7xx1
Sep 22 13:49:31 ubuntu kernel: [ 743.060000] ACPI: PCI Interrupt 0000:03:0b.2[D] -> GSI 23 (level, low) -> IRQ 19

ubuntu@ubuntu:~$ sudo modprobe sdhci
Sep 22 13:49:57 ubuntu NetworkManager: <debug> [1190468997.798440] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/pci_104c_803c_mmc_host').
Sep 22 13:49:58 ubuntu kernel: [ 769.528000] sdhci: Secure Digital Host Controller Interface driver
Sep 22 13:49:58 ubuntu kernel: [ 769.528000] sdhci: Copyright(c) Pierre Ossman
Sep 22 13:49:58 ubuntu kernel: [ 769.528000] sdhci: SDHCI controller found at 0000:03:0b.3 [104c:803c] (rev 0)
Sep 22 13:49:58 ubuntu kernel: [ 769.528000] ACPI: PCI Interrupt 0000:03:0b.3[D] -> GSI 23 (level, low) -> IRQ 19
Sep 22 13:49:58 ubuntu kernel: [ 769.532000] mmc0: SDHCI at 0xffa06800 irq 19 DMA

ubuntu@ubuntu:~$ sudo rmmod sdhci
Sep 22 13:50:35 ubuntu NetworkManager: <debug> [1190469035.579376] nm_hal_device_removed(): Device removed (hal udi is '/org/freedesktop/Hal/devices/pci_104c_803c_mmc_host').
Sep 22 13:50:36 ubuntu kernel: [ 807.316000] ACPI: PCI interrupt for device 0000:03:0b.3 disabled

ubuntu@ubuntu:~$ sudo rmmod tifm_7xx1
Sep 22 13:50:38 ubuntu kernel: [ 810.364000] ACPI: PCI interrupt for device 0000:03:0b.2 disabled

ubuntu@ubuntu:~$ sudo modprobe sdhci
Sep 22 13:50:40 ubuntu kernel: [ 812.372000] sdhci: Secure Digital Host Controller Interface driver
Sep 22 13:50:40 ubuntu kernel: [ 812.372000] sdhci: Copyright(c) Pierre Ossman
Sep 22 13:50:40 ubuntu kernel: [ 812.380000] sdhci: SDHCI controller found at 0000:03:0b.3 [104c:803c] (rev 0)
Sep 22 13:50:40 ubuntu kernel: [ 812.380000] ACPI: PCI Interrupt 0000:03:0b.3[D] -> GSI 23 (level, low) -> IRQ 19
Sep 22 13:50:40 ubuntu kernel: [ 812.388000] mmc0: SDHCI at 0xffa06800 irq 19 DMA
Sep 22 13:50:40 ubuntu NetworkManager: <debug> [1190469040.651918] nm_hal_device_added(): New device added (hal udi is '/org/freedesktop/Hal/devices/pci_104c_803c_mmc_host').

ubuntu@ubuntu:~$ modinfo tifm_7xx1
filename: /lib/modules/2.6.22-12-generic/kernel/drivers/misc/tifm_7xx1.ko
version: 0.8
license: GPL
description: TI FlashMedia host driver
au...

Read more...

Id2ndR (id2ndr) wrote :

There should be a link with bug #55507

Richard Laager (rlaager) wrote :

I'm seeing basically the same thing in Gutsy when trying to use an xD card. I get the following message if I insert the card (and the led on the card reader blinks very quickly once):
[53603.532000] tifm_core: SmartMedia/xD card detected in socket 0:0

Removing and re-probing the tifm_7xx1 module gives me this:
[53732.976000] ACPI: PCI interrupt for device 0000:08:06.2 disabled
[53745.760000] ACPI: PCI Interrupt 0000:08:06.2[C] -> GSI 22 (level, low) -> IRQ 22

Then I get the same message if I re-insert the card:
[53754.804000] tifm_core: SmartMedia/xD card detected in socket 0:0

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Triaged
Krzysztof Wyszyński (goomior) wrote :

The same problem in Toshiba Tecra A8-183. There is no difference if I had only tifm* modules, sdhci module or both loaded. When I insert a SD card into the reader, SD led blinks for a while and then nothing happens. No new messages appear in logs at all. The interesting thing is that it works out-of-the-box in OpenSuSE 10.2. It never worked in Feisty and isn't working in Gutsy RC.

Interensting part of lspci is:
03:0b.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
03:0b.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

uname -a:
Linux laptop 2.6.22-14-generic #1 SMP Wed Oct 10 06:00:47 GMT 2007 i686 GNU/Linux

Vincenzo Ciancia (vincenzo-ml) wrote :

What is the kernel version of opensuse 10.2? This is really relevant, since it might indicate that it is an ubuntu-specific problem.

Krzysztof Wyszyński (goomior) wrote :

I was using 64-bit version. OpenSuSE 10.2 is quite old (relased December 7th, 2006) and was shipped with 2.6.18 kernel. That's why I think, that this SD card reader problems are Ubuntu specific. Moreover, I think that the problem is _not_ kernel related.

Krzysztof Wyszyński (goomior) wrote :

After some hours of testing, I think tah the problem is related to udev. When I start one terminal I type:

sudo udevmonitor

and in the second one:

sudo modprobe mmc_block
sudo modprobe mmc_core
sudo rmmod sdhci

then udevmonitor says:

UDEV [1193066226.837458] remove /class/mmc_host/mmc0 (mmc_host)
UDEV [1193066226.837487] remove /bus/pci/drivers/sdhci (drivers)
UDEV [1193066226.837500] remove /module/sdhci (module)

Next I try to:

sudo modprobe sdhci

and udevmonitor says:

UDEV [1193066281.343161] add /module/sdhci (module)
UDEV [1193066281.343189] add /bus/pci/drivers/sdhci (drivers)
UDEV [1193066281.343201] add /class/mmc_host/mmc0 (mmc_host)

Nothing special. Now let's try to restart udev typing:

sudo /etc/init.d/udev restart

Udevmonitor produces a lot of output about reenabling some devices. Again, nothing special. Now let's try to remove sdhci:

sudo rmmod sdhci

and insert it again:

sudo modprobe sdhci

And after some sdhci insertions/removals, suprisingly, udevmonitor says:

UEVENT[1193067609.739142] add /module/sdhci (module)
UDEV [1193067609.740053] add /module/sdhci (module)
UEVENT[1193067609.741298] add /bus/pci/drivers/sdhci (drivers)
UDEV [1193067609.742317] add /bus/pci/drivers/sdhci (drivers)
UEVENT[1193067609.743938] add /class/mmc_host/mmc0 (mmc_host)
UDEV [1193067609.746477] add /class/mmc_host/mmc0 (mmc_host)
UEVENT[1193067609.841820] add /class/mmc_host/mmc0/mmc0:1234 (mmc)
UEVENT[1193067609.844307] add /block/mmcblk0 (block)
UEVENT[1193067609.844330] add /block/mmcblk0/mmcblk0p1 (block)
UDEV [1193067609.853536] add /class/mmc_host/mmc0/mmc0:1234 (mmc)
UDEV [1193067609.943687] add /block/mmcblk0 (block)
UDEV [1193067610.006325] add /block/mmcblk0/mmcblk0p1 (block)

Voilà. The SD card is detected and Nautilus asks for importing photos. Unfortunately, this process in unrepeatable :( Even the number of lines generated by udevmonitor when inserting/removing sdhci is not the same. After several (hundreds) of sdhci insertions/removals you may be able to get your card recognized. Maybe this comment doesn't solve the problem but now, at least, I have some algorithm to get my card recognized. It may take a long time, but finally it works.

Krzysztof Wyszyński (goomior) wrote :

I forgot to write that tifm* modules are completely useless. The card is recognized (sometimes) using above algorithm even when they are not loaded.

carvell (andy-tenup) wrote :

I've got the same issue as the people above.

I can get an SD card detected and mounted using the exact algorithm in comment #19 and as per comment #20, the tifm* are indeed useless.

My lspci:
03:06.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
03:06.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

uname -a
Linux andylaptop 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

Also note that I have also built vanilla kernel 2.6.24-rc1-git14, exactly the same issue in that. My laptop is a Toshiba Satellie Pro A120, which is essentially the same as the Tecra A8 mentioned above.

carvell (andy-tenup) wrote :

http://www.burningimage.net/sdcard.htm details how I managed to work around the problem.

Krzysztof Wyszyński (goomior) wrote :

The solution you've attached doesn't work for me. I tried the similar script:

   #!/bin/bash

   while [ ! -e /dev/mmc* ]
   do
   modprobe -rf sdhci
   sleep 0.5
   modprobe -f sdhci
   sleep 1
   done

some weeks before and it didn't work either. Loop-reloading sdhci module makes the SD card LED turned on costantly and sometimes even hangs my laptop. Unfortuantely, after several minutes of waiting, what is equal to about a hundred sdhci module reloads, my card was still undetected. I think I have to wait for more elegant and safe solution.

And by the way, my card reader is recognized as (Toshiba Tecra A8):
    03:0b.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

Jamin W. Collins (jcollins) wrote :

I'm seeing exactly the same bevhavior here. I have a Toshiba Tecra A5 and used an SD card to store my SSH and GPG keys. Now, it's a crap shoot as to whether the card will mount when inserted. With the tifm modules loaded it routinely fires off udev messages but rarely does a device node actually get created. If the node does get created it gets mounted. The disconnect appears to be between udev's notification of the card insert and whatever is responsible for the actual device node creation.

Khalid Baheyeldin (kbahey) wrote :

I have two quite similar Toshiba laptops, one on Kubuntu Feisty (A100-TA6) and the other on Kubuntu Gutsy (A200-TR6).

On the Feisty one, SD cards work fine, and automatically gets mounts and Konqueror will open a window for it. All I had to do in Feisty was to either modprobe tifm_sd, or add it to /etc/modules.

On Gutsy, none of the above suggestions work. The kernel does detect the insertion, but no device is associated with it, the card is not mounted.

As a side note, I am starting to get frustrated with breakage on upgrades. This SD card is the third case. The first two were the slmodem on the HDA audio device, and the second is an Intersil chipset Wireless card. All of them worked on one release and did not work on the next.

Khalid Baheyeldin (kbahey) wrote :

I have an update on this issue.

The way I use the laptop is to hibernate it and then restart it. I rarely reboot it. This is a Toshiba A200-TR6 with Gutsy on it.

So, I removed all the stuff I had before from the above trials, and only had one change in /etc/modules, by adding the line tifm_sd to it.

And then I rebooted.

Now, when I insert an SD card, the partition is detected and Dolphin launches automatically.

[ 1442.056000] tifm_core: MMC/SD card detected in socket 0:1
[ 1442.208000] mmcblk0: mmc1:b1c6 SU02G 1985024KiB
[ 1442.208000] mmcblk0: p1

This is exactly the same way I had it working on Edgy and Feisty on the other laptop (A100-TA6), as I described here last year.

http://baheyeldin.com/technology/linux/kubuntu-6-10-edgy-eft-on-a-toshiba-laptop-satellite-a100-ta6.html

Not sure why it did not work earlier until I added the above line and rebooted, but glad it does work now.

Jamin W. Collins (jcollins) wrote :

Would you be willing to do some stress testing with it? Reboot the laptop a few times, insert, unmount, remove, and re-insert the card to check that it is routinely detected? I've had no luck getting mine seen all the time (it is rarely).

Khalid Baheyeldin (kbahey) wrote :

I inserted it after a hibernate, it did not trigger a mount.

I removed it then inserted it again, and it did mount and open a window.

After trying a few times, it seems that the first one only is the problem (not mounting), but subsequent ones work fine.

I did not reboot and try yet (too disruptive to my work).

Id2ndR (id2ndr) wrote :

I installed Hardy alpha 2 on my computer. The SD card reader IS working again on it :).

Id2ndR (id2ndr) wrote :

I was wrong. It just worked one time, but I haven't reproduce it again.

Id2ndR (id2ndr) wrote :

I finally found a way to get it working every time :
- Insert a SD card
- run this command : $ sudo modprobe -r sdhci && sleep 0.5 && sudo rmmod mmc_block || sleep 0.5 && sudo modprobe sdhci

This command works whether tifm_7xx1 and tifm_core modules are loaded or not.
The idea is quite the same that Krzysztof Wyszyński's one.

I'll try it on linux 2.6.22

Hi, I've made a meta-bug to keep track of all these Texas Card Reader bugs - please help me by using it to close duplicates, and get new bugs to search for duplicates. The meta-bug is Bug #180076

Paul Dufresne (paulduf) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The Hardy Heron Alpha series was recently released. Alpha2 and subsequent releases contain an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . Please note that Alpha3 will be released within the next day or two so you many want to wait. You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks!

charly4711 (karl-h-beckers) wrote :

Tested with the live CD and still does not work.
The live CD defaults to use of sdhci which does nothing with no output in /var/log/messages.
Manually unloading sdhci and loading tifm_core, tifm_sd, tifm_7xx1 yields the same both with card inserted or not while loading.

Paul Dufresne (paulduf) wrote :

The dmesg log of Vincenzo (initial bug reporter) have this:
"PCI: If a device doesn't work, try "pci=routeirq". If it helps, post a report"
Vincenzo, have you tried that as a boot option?
I am totally unsure this is linked.

Wondering if others have also: 'APIC error on CPU0: 40(40)' like you.

Krzysztof Wyszyński (goomior) wrote :

'APIC error on CPU0: 40(40)' is caused by BIOS bug. Please upgrade BIOS to the newest version and it will disappear. It has nothing to do with SD card reader.

Paul Dufresne (paulduf) wrote :

Well, I am not an expert, but my understanding it that some IRQ stuff is handle by APIC and since initial bug description shows that 'pin D routed to IRQ19' then I would not say that it has *nothing* to do.
So I still would like to know if "pci=routeirq" helps, even if I agree I doubt so.

I agree that upgrading the BIOS would be a good idea.

charly4711 (karl-h-beckers) wrote :

Dunno about the regression bit because I have just tested on this rather new laptop with an edgy live cd and it did NOT work for me, either.

Vincenzo Ciancia (vincenzo-ml) wrote :

I understand this is not a true solution, but

sudo modprobe -r sdhci && sleep 0.5 && sudo rmmod mmc_block || sleep 0.5 && sudo modprobe sdhci

works for me in hardy. If I remove the card, I have to give the command again but at least I can access my SD card.

carvell (andy-tenup) wrote :

Mandriva were having exactly the same problem, a patch to fix it can be found here:
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/updates/2008.0/kernel-2.6/current/PATCHES/patches/DB35_mmc_power_up_delay.patch?view=markup&pathrev=114631

Hopefully the ubuntu team can add this patch to the next release..?

Mandriva discussion:
http://qa.mandriva.com/show_bug.cgi?id=35887

JJL (buggerone) wrote :

I have a Toshiba u200-162 laptop with a TI card reader (id: 104c:803b) and the same problem as everyone.
So I applied the Mandriva patch, recompile mmc_core and replace the original one with mine. Now everything works fine with my SD card.

When a card is inserted, it appears in media:/ (with konqueror) I can mount it and I see :
$ lsmod |grep -E "mmc|tifm"
mmc_block 13444 0
tifm_7xx1 8832 0
tifm_core 11652 1 tifm_7xx1
mmc_core 28420 2 mmc_block,sdhci
$ dmesg
...
[ 74.548000] mmcblk0: mmc0:cffc SD512 495488KiB
[ 74.548000] mmcblk0: p1
$ ls -l /dev/mmcblk0*
brw-rw---- 1 root plugdev 179, 0 2008-02-10 21:03 /dev/mmcblk0
brw-rw---- 1 root plugdev 179, 1 2008-02-10 21:03 /dev/mmcblk0p1

Well it seems to be resolved ! Hopes that will be included in next kernel.

Vincenzo Ciancia (vincenzo-ml) wrote :

JJL: on which kernel version did you test the patch? Is it in gutsy or hardy?

JJL (buggerone) wrote :

I use Gutsy. For kernel sources, I just apt-get linux-source. I compiled using kpkg, but just copy mmc_core.ko to /lib/modules/2.6.22-14-generic/kernel/drivers/mmc/core/

$ uname -a
Linux meaban 2.6.22-14-generic #1 SMP Fri Feb 1 04:59:50 UTC 2008 i686 GNU/Linux

The mmc_core version is strange :
$ modinfo mmc_core
filename: /lib/modules/2.6.22-14-generic/kernel/drivers/mmc/core/mmc_core.ko
license: GPL
srcversion: 6422CCA8625E8ABC6A55E5D
depends:
vermagic: 2.6.22.9 SMP mod_unload 586

Justin Dugger (jldugger) wrote :

Following up on the mandriva QA stuff, I've found upstream discussion here: http://list.drzeus.cx/pipermail/sdhci-devel/2007-December/002089.html

And I've initiated a new conversation here: http://list.drzeus.cx/pipermail/sdhci-devel/2007-December/002089.html

Jamin W. Collins (jcollins) wrote :

@Justin

Those links appear to both go to the previous discussion in Dec '07. Is the second link perhaps incorrect?

Vincenzo Ciancia (vincenzo-ml) wrote :

JJL: perhaps attaching your recompiled modules could help testing, could you do it?

Justin Dugger (jldugger) wrote :

Indeed, I failed to provide the new thread correctly. It is here: http://list.drzeus.cx/pipermail/sdhci-devel/2008-March/002182.html

I have not yet received any feedback from the author, but from other threads, I gather it's a very slow paced list.

Hi All,

Would someone be able to test the following patch against the Hardy kernel:

http://list.drzeus.cx/pipermail/sdhci-devel/2007-December/002089.html

Please note that we're currently in Beta Freeze for Hardy and are almost at the kernel freeze so only critical bugs or extremely simple fixes are being pulled in. This would seem to fall under the simple fix but it still needs to be tested and verified that it resolves the issue. Please let us know your results. Thanks.

Changed in linux:
status: New → Incomplete

Also just a note that we'll keep this open against the actively developed kernel bug against 2.6.22 this will be closed as it does not qualify for a stable release update. Thanks.

Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
status: Triaged → Won't Fix
Vincenzo Ciancia (vincenzo-ml) wrote :

I will be travelling until 7th of april, and compiling a kernel on my laptop would be suicide - also, I won't have hardy with me there. When I'll be back I will test but perhaps it'll be too late.

Vincenzo Ciancia (vincenzo-ml) wrote :

If it's easy to prepare a binary kernel that I can install on gutsy (I bet I just should install the kernel binary package) I can download and test it while travelling.

Hello,

  I get a different problem, when I insert an MMC card, I get the following in dmesg:

[ 155.682541] tifm_core: MMC/SD card detected in socket 0:3
[ 155.766501] mmc3: new MMC card at address 0001
[ 155.806381] mmcblk0: mmc3:0001 000000 1003520KiB
[ 155.807107] mmcblk0: unknown partition table

carvell (andy-tenup) wrote :

I have the hardware in question in this thread and have tested the patch [1] in 2.6.24, and it solves the problem perfectly, as others have discussed.

Unfortunately I don't have the disk space to compile an Ubuntu kernel with this patch, but I'm just adding input saying that it definately does fix the problem in 2.6.24.

I assume it is strictly necessary to test such a simple modification (mmc_delay(2) to mmc_delay(10)) on a proper Ubuntu kernel...? Sorry I can't help with the Hardy kernel.

[1] http://list.drzeus.cx/pipermail/sdhci-devel/2007-December/002089.html

I just tested again with today linux-image-2.6.24-14, I still get the same problem when I insert the MMC card:

dmesg output:
[ 155.682541] tifm_core: MMC/SD card detected in socket 0:3
[ 155.766501] mmc3: new MMC card at address 0001
[ 155.806381] mmcblk0: mmc3:0001 000000 1003520KiB
[ 155.807107] mmcblk0: unknown partition table

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
Vincenzo Ciancia (vincenzo-ml) wrote :

I am installing hardy again on my laptop and will test today, hoping to report in the afternoon

Vincenzo Ciancia (vincenzo-ml) wrote :

Unfortunately I don't have my sd card with me at office (I am a bit dumb, I know) so will be able to test only this evening. Attaching patched kernel, I didn't recompile restricted modules so this is just to allow other people to test the fix.

Vincenzo Ciancia (vincenzo-ml) wrote :

I have found an SD card and tested. The kernel part works perfectly. There must be a bug in gnome or hal somewhere else, because after umount, I have to reinsert mmc_core to have the card automounted again. However manual mounting /dev/mmcblk0p1 always works, so this bug IS fixed for me using the above patch, and using the above kernel package.

Even if it's late, please consider merging the trivial patch.

Stefan Bader (smb) wrote :

12863a3ad9e6bb21d8df03076f4ca0b40abec0a7

Added as SAUCE patch for Hardy.

Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
status: Triaged → Fix Committed
Justin Dugger (jldugger) wrote :

Is there a reason this isn't marked fix released?

Justin Dugger (jldugger) on 2008-05-06
Changed in linux:
status: Fix Committed → Fix Released
Justin Dugger (jldugger) on 2008-05-06
Changed in linux:
status: Fix Committed → Fix Released

Marking this "Fix Released" as Stefan's patch was released in the 2.6.24-16.29 Hardy kernel:

https://edge.launchpad.net/ubuntu/+source/linux/ - * UBUNTU: SAUCE: mmc: Increase power_up deleay to fix TI readers

Thanks.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.